Subject: [E-impact] Re: Looking for examples of how standards or models allocate responsibility for "shared" infrastructure when designing greener web applications
From: <[email-masked]>
To: Chris Adams <[email-masked]>, E-Impact IETF <[email-masked]>
Date: Wed, 16 Jul 2025 18:24:35 +0200
List-Id: Environmental impacts of the Internet <e-impact.ietf.org>

Hi Chris -

Interesting question - we built some models for this when I was a fellow at the WEF but around the shared infrastructure of blockchain and DLT.   I also wrote a few papers on it for IEEE - happy to share or take a chat offline if you like.

Effectively, we built models to balance economic, environmental and social impacts (externalities) of digital.  It is a complex mix of econ, environmental measurements so a blend of engineering and economics.

You can drop me a line separately if you think it could be interesting.

KR,

Cathy

Sent from Outlook for Android

From: Chris Adams <[email-masked]>
Sent: Wednesday, July 16, 2025 5:07:07 pm
To: E-Impact IETF <[email-masked]>
Subject: [E-impact] Looking for examples of how standards or models allocate responsibility for "shared" infrastructure when designing greener web applications

Hi folks,

I’m doing some work with the Green Software Foundation to help lead a set of workshops over the summer to design what is being referred to as SCI-Web: Software Carbon Intensity for the Web, and I have a query I’d appreciate pointers on.

I’ve written a bit here for background (there’s more coming soon):

https://www.thegreenwebfoundation.org/news/creating-a-standard-for-measuring-software-carbon-intensity-for-the-web/

But the subject of the email ought to explain it - I’m looking for pointers to good examples of how people model responsibility for shared infrastructure when designing a metric for people to use to build greener digital services. If you have seen some ones that do a particularly good jobs I’d appreciate the suggestions.

Some further context for

At present, I’m thinking that it likely makes more sense to prioritise

1. giving digital teams a metric that ideally incentivises them to take reasonable steps to reduce the environmental footprint of digital services they build, with a strong focus on what you can reasonably expect a team working on building a web application to have influence over, and be something you can verify experimentally.

ahead of

2. the metric acting as a comprehensive representation of all the environmental impacts associated with digital services

My reason for this is that I have had some experience with teams being faced with guidelines where there are a set of recommendations that are way outside a team’s area of influence.

While, sure, you can make the argument that digital teams ought to be speaking to procurement depts and so on, and there’s a need across organisations to develop new skills particular then it comes to understanding and managing the environmental impact of digital services. I’m not sure that’s the role of a metric aimed at websites or web applications, and there are other standards you might point to instead.

That does raise some other questions though.

Figuring out appropriate signals for embodied carbon in devices and use of shared infrastructure like networks

For networking

This mailing list has had some very lengthy discussions about the shortcomings of using data transfer as a proxy for energy usage, as well as using time-based models too (which I think are likely to be valid in the context above). Right now, I still think there is value in there being some signal to represent that there is an environmental impact associated with network infrastructure, because there are impacts over the long-run that would seem strange to discount entirely, but it’s not clear to me what people have used successfully to represent slow moving changes like this, either in this domain or other ones.

I’ve written a bit here about it in an indirect fashion.

https://rtl.chrisadams.me.uk/2024/01/an-example-of-deliberately-choosing-the-mental-models-we-use-for-thinking-about-resource-use-in-digital-sustainability/

TBH, You might also make this argument for cloud too, but network and data transfer is usually the one that gets people heated.

Embodied carbon

There’s a similar thorny issue when thinking about the embodied carbon from end user devices, because on one level, with software being a driver of hardware upgrades, you might want to reward applications and sites that run on old hardware.

This is also something seems like it ought to be simple enough to build a testing rig to demonstrate that a system works in degraded environments and with old hardware - you could have some older reference hardware to use for metrics to be considered valid, and you could even “drive" it in an automated fashion in some cases.

I’ve written some here in this post too which used existing language around accessibility to help us think about embodied carbon:

https://www.thegreenwebfoundation.org/news/how-do-we-work-out-the-environmental-savings-from-accessibility/

Older devices tend to receive fewer software updates keeping them safe though, and I've seen IT security trump sustainability many many times within organisations. If you have seen examples of how people navigate this tension, I’d love to hear about it too, because I don’t have a good stock answer right now when people ask me about examples of good practice here.

Anyway, I’d welcome replies either on-list or off.

Hope you’re having a good week.

C

Chris Adams

Director of Technology and Policy

w: thegreenwebfoundation.org
e: [email-masked]
t: @mrchrisadams

German Office
Naunynstrasse 40
10999 Berlin
Germany

See our contact page for more details
https://www.thegreenwebfoundation.org/contact/

Book a short call with me to discuss something.
https://cal.com/mrchrisadams